/*
 *
 *   This file is part of BingDownloader.
 *
 *   BingDownloader is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   BingDownloader is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with BingDownloader.  If not, see <http://www.gnu.org/licenses/>.
 *
 *   (c) 2012 Sebastian Bota (sebastian.bota@live.com)
 */

#ifndef BINGDOWNLOADERMAINWINDOW_H
#define BINGDOWNLOADERMAINWINDOW_H
#include "qbinghelper.h"
#include "constants.h"
#include "about.h"
#include <QHttp>
#include <QMainWindow>
#include <QMessageBox>
#include <QFileDialog>
#include <QGraphicsPathItem>


namespace Ui {
class BingDownloaderMainWindow;
}

class BingDownloaderMainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit BingDownloaderMainWindow(QWidget *parent = 0);
    ~BingDownloaderMainWindow();

    
private slots:
    void on_actionNext_Image_triggered();
    void on_actionPrevious_Image_triggered();
    void on_actionSave_Image_triggered();
    void on_actionToday_image_triggered();

    void on_actionAbout_triggered();

private:
    void loadImageAndDetails();
    QFile *saveImage(bool isTemporaryFile = false);
    QList<QBingImageData> imageHistory;
    Ui::BingDownloaderMainWindow *ui;
    QBingHelper *qBingHelper;
    int currentIndex;
};

#endif // BINGDOWNLOADERMAINWINDOW_H
