/*
 *
 *   This file is part of BingDownloader.
 *
 *   BingDownloader is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   BingDownloader is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with BingDownloader.  If not, see <http://www.gnu.org/licenses/>.
 *
 *   (c) 2012 Sebastian Bota (sebastian.bota@live.com)
 */

#ifndef BINGHELPER_H
#define BINGHELPER_H
#include <QString>
#include <QImage>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkReply>
#include <QDebug>
#include <QtCore>
#include "qbingimagedata.h"
#include "constants.h"
class QBingHelper : public QObject
{
    Q_OBJECT

public:
    QBingHelper( QObject * parent = 0 );

    QString getCountryCode (QString url);
    QBingImageData getTodayBingImageWithDescription();
    QList<QBingImageData> getImageHistory(  );
    QString getWebPageSource (QString query);
private:
    QString m_bingImageURL;
    QString pageSourceCode;
protected:
    QString getImageUrlInternal(QString pageContent, QString queryString);

};
#endif // BINGHELPER_H
